Go to the latest version of this document.

# ``twisted`.`conch`.`client`.`knownhosts`.`UnparsedEntry``

class documentation

`class UnparsedEntry: (source)`

Constructor: `UnparsedEntry(string)`

Implements interfaces: `twisted.conch.interfaces.IKnownHostEntry`

View In Hierarchy

`UnparsedEntry` is an entry in a `KnownHostsFile` which can't actually be parsed; therefore it matches no keys and no hosts.

Method | `__init__` | Create an unparsed entry from a line in a known_hosts file which cannot otherwise be parsed.
Method | `matchesHost` | Always returns False.
Method | `matchesKey` | Always returns False.
Method | `toString` | Returns the input line, without its newline if one was given.
Class Variable | `keyType` | The SSH key type identifier for this key.
Instance Variable | `_string` | Undocumented

def __init__(self, string: `bytes`): (source)

Create an unparsed entry from a line in a known_hosts file which cannot otherwise be parsed.

def matchesHost(self, hostname: `bytes`) -> `bool`: (source)
from `twisted.conch.interfaces.IKnownHostEntry`

Always returns False.

def matchesKey(self, key: `Key`) -> `bool`: (source)
from `twisted.conch.interfaces.IKnownHostEntry`

Always returns False.

def toString(self) -> `bytes`: (source)
from `twisted.conch.interfaces.IKnownHostEntry`

Returns the input line, without its newline if one was given.

Returns
`bytes` | The string representation of this entry, almost exactly as was used to initialize this entry but without a trailing newline.

keyType: `None` = (source)
from `twisted.conch.interfaces.IKnownHostEntry`

The SSH key type identifier for this key.

_string = (source)

Undocumented